Board index » delphi » TBatchMove component gives - 'Not Supported' Error

TBatchMove component gives - 'Not Supported' Error

I've looked through all of the documentation but, hey... no surprises here,
this error message isn't mentioned anywhere. The 'move' I am attempting is a
very simple one, in fact all I'm trying to do at the moment is copy one DBase
table to another.  All the field names are the same, the data types are the
same, they are infact the same table, held in different databases.

Anyone know what can cause a TBatchMove component to give an error of this type?
(Delphi 1.0, 486, IDAPI/ODAPI and all the rest fully installed)

Any help, as ever, gratefully received!

Mikey B.

 

Re:TBatchMove component gives - 'Not Supported' Error


Quote
imagi...@globalnet.co.uk wrote:

> I've looked through all of the documentation but, hey... no surprises here,
> this error message isn't mentioned anywhere. The 'move' I am attempting is a
> very simple one, in fact all I'm trying to do at the moment is copy one DBase
> table to another.  All the field names are the same, the data types are the
> same, they are infact the same table, held in different databases.

> Anyone know what can cause a TBatchMove component to give an error of this type?
> (Delphi 1.0, 486, IDAPI/ODAPI and all the rest fully installed)

> Any help, as ever, gratefully received!

> Mikey B.

I got this error using a Delphi 1 procedure on a system when I had NOT
installed the redistributable BDE which comes with Delphi yet. After
installing the redist BDE (even though I already had IDAPI/ODAPI from a
PDOX5 installation) it worked fine! I don't know if it was TBatchMove
specifically, but try the above if you haven't yet.
-Larry

Other Threads